Subject: Re: bug#13299: 24.3.50; Tramp adb and device not found

From: [email-masked]
Date: Mon, 07 Jan 2013 18:55:20 -0500

Hi,

Michael Albinus <[email-masked]> writes:

> [email-masked] writes:
>
> Hi,
>
>> Now with Bzr 111425 when doing:
>>
>>   ^X^F/adb::/?
>>
>> you see in the echo area:
>>
>> Making completion list...
>>
>> but nothing else happens and Emacs is locked up.
>>
>> Not even ^G (keyboard-quit) or ^G^G^G unlocks Emacs.
>>
>> You can only kill emacs from the command line prompt.
>>
>> However, if adb is already started:
>>
>>    adb fork-server server
>>
>> then Emacs displays:
>>
>> Making completion list...
>> Find file: /adb::/ [No completions]
>
> Thare have been some very recent changes in tramp-adb.el, which should
> improve handling of "/adb::". Bzr revision 111433. With that patch
> level, I'm not able to reproduce the problem.
>
> Could you, please, check?

Same result.

I then tried again, this time killing adb and the Emacs echo area then
showed:

Find file: /adb::/

However, after typing in ?, a new adb process was created and
Emacs showed in the echo area:

Making completion list...

and nothing else.

So it looks Emacs is waiting on adb (for some type of response perhap?)
which ^G (keyboard-quit) or ^G^G^G wont abort for Emacs.

I opened up a bug report for this (no response to ^G):

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13381

Once adb is killed outside of Emacs and the echo area now shows the
"Find file: /adb::/" prompt in place of:

Making completion list...

the *Message* buffer then contains:

Waiting for process to die...done

>> Thanks.
> Best regards, Michael.